/*==============================================================*/
/* DBMS name:      MySQL 5.0                                    */
/* Created on:     2017/8/15 0:17:29                            */
/*==============================================================*/


drop index LASTTIME on SESSION;

drop index TIME on SESSION;

drop index UID on SESSION;

drop index ID on SESSION;

drop table if exists SESSION;

drop index College on User;

drop index TIME on User;

drop index Status on User;

drop index Role on User;

drop index Password on User;

drop index Username on User;

drop index Account on User;

drop index ID on User;

drop table if exists User;

/*==============================================================*/
/* Table: SESSION                                               */
/*==============================================================*/
create table SESSION
(
   ID                   varchar(64),
   UID                  varchar(64),
   TIME                 int,
   LASTTIME             int
);

/*==============================================================*/
/* Index: ID                                                    */
/*==============================================================*/
create index ID on SESSION
(
   ID
);

/*==============================================================*/
/* Index: UID                                                   */
/*==============================================================*/
create index UID on SESSION
(
   UID
);

/*==============================================================*/
/* Index: TIME                                                  */
/*==============================================================*/
create index TIME on SESSION
(
   TIME
);

/*==============================================================*/
/* Index: LASTTIME                                              */
/*==============================================================*/
create index LASTTIME on SESSION
(
   LASTTIME
);

/*==============================================================*/
/* Table: User                                                  */
/*==============================================================*/
create table User
(
   ID                   varchar(64) comment '用户id',
   Account              varchar(64) comment '用户的系统账号',
   Name                 varchar(512) comment '用户名',
   Password             varchar(1024) comment '用户密码',
   Role                 int comment '用户角色',
   Status               varchar(32),
   Time                 int comment '用户创建时间',
   College              varchar(128) comment '用户所在的学院'
);

/*==============================================================*/
/* Index: ID                                                    */
/*==============================================================*/
create index ID on User
(
   ID
);

/*==============================================================*/
/* Index: Account                                               */
/*==============================================================*/
create index Account on User
(
   Account
);

/*==============================================================*/
/* Index: Username                                              */
/*==============================================================*/
create index Username on User
(
   Name
);

/*==============================================================*/
/* Index: Password                                              */
/*==============================================================*/
create index Password on User
(
   Password
);

/*==============================================================*/
/* Index: Role                                                  */
/*==============================================================*/
create index Role on User
(
   Role
);

/*==============================================================*/
/* Index: Status                                                */
/*==============================================================*/
create index Status on User
(
   Status
);

/*==============================================================*/
/* Index: TIME                                                  */
/*==============================================================*/
create index TIME on User
(
   Time
);

/*==============================================================*/
/* Index: College                                               */
/*==============================================================*/
create index College on User
(
   College
);

